| Python Script Engine 8.3 GL Studio Editor Python Script API

Public Types | Public Member Functions | Static Public Member Functions | List of all members
GlsTextGrid Class Reference
Inheritance diagram for GlsTextGrid:

## Public Types
typedef Text | BaseClass
Public Types inherited from Text
enum | Justify_t { LEFT , CENTER , RIGHT }
Public Types inherited from DisplayObject
enum | MemberAccess_e { PUBLIC , PRIVATE , PROTECTED }
enum | PickableType_e { UNPICKABLE , FIRST_PICK , BEST_PICK , ALWAYS_PICK }
enum | PolygonClose_e { POLY_OPEN , POLY_CLOSED }
enum | PolygonMode_e { POLY_MODE_UNDEFINED , POLY_MODE_POINTS , POLY_MODE_OUTLINE , POLY_MODE_FILLED , POLY_MODE_FILL_AND_OUTLINE }
enum | ShadingType_e { SHADING_FLAT , SHADING_GOURAUD }
enum | TextureMap_e { TEXTURE_MAP_MODULATE , TEXTURE_MAP_DECAL , TEXTURE_MAP_BLEND , TEXTURE_MAP_REPLACE }
enum | TextureFilter_e { TEXTURE_FILTER_NEAREST , TEXTURE_FILTER_LINEAR , TEXTURE_FILTER_NEAREST_MIPMAP_NEAREST , TEXTURE_FILTER_LINEAR_MIPMAP_LINEAR , TEXTURE_FILTER_NEAREST_MIPMAP_LINEAR , TEXTURE_FILTER_LINEAR_MIPMAP_NEAREST }
enum | TessellateType_e { TESSELLATE_UNION , TESSELLATE_INTERSECT , TESSELLATE_DIFFERENCE }
enum | RotationAxis_e { X_AXIS , Y_AXIS , Z_AXIS }
enum | LineStyle_e { SOLID_LINE_STYLE , SMALL_DOTTED_LINE_STYLE , DOTTED_LINE_STYLE , DASHED_LINE_STYLE , DOT_DASHED_LINE_STYLE , SMALL_DASHED_LINE_STYLE }
enum | AlphaMode_e { ALPHA_MODE_UNDEFINED , ALPHA_MODE_OPAQUE , ALPHA_MODE_2_LEVEL , ALPHA_MODE_256_LEVEL }

## Public Member Functions
| GlsTextGrid ()
| GlsTextGrid (GlsTextGrid &src)
void | Char (unsigned int col, unsigned int row, unsigned int code)
void | Char (unsigned int startCol, unsigned int startRow, unsigned int len, unsigned int code)
unsigned int | Columns ()
void | Columns (unsigned int newCols)
void | Erase (unsigned int col, unsigned int row)
void | Erase (unsigned int startCol, unsigned int startRow, unsigned int rows)
bool | LeftToRight ()
void | LeftToRight (bool leftToRight)
unsigned int | LineLength (unsigned int row)
unsigned int | Rows ()
void | Rows (unsigned int newRows)
void | Size (unsigned int cols, unsigned int rows)
void | String (unsigned int startCol, unsigned int startRow, String s)
String | String ()
void | String (String &s)
Public Member Functions inherited from Text
float | Baseline ()
void | Baseline (float baselineShift)
GlsColor | BgColor ()
void | BgColor (GlsColor &color)
float | Border ()
void | Border (float units)
float | CellHeight ()
void | CellHeight (float height)
float | CellWidth ()
void | CellWidth (float width)
float | CharScaling ()
void | CharScaling (float newScale)
float | CharSpacing ()
void | CharSpacing (float horizontalSpacing)
bool | ConstrainCellRatio ()
void | ConstrainCellRatio (bool constrainRatio)
bool | ControlCellSize ()
void | ControlCellSize (bool control)
bool | FauxBold ()
void | FauxBold (bool bold)
Font | Font ()
void | Font (Font &font)
bool | Halo ()
void | Halo (bool halo)
GlsColor | HaloColor ()
void | HaloColor (GlsColor &color)
bool | Inverse ()
void | Inverse (bool inverse)
Justify_t | Justify ()
void | Justify (Justify_t justification)
float | LineSpacing ()
void | LineSpacing (float spacing)
bool | LockCellSize ()
void | LockCellSize (bool lock)
bool | Shadow ()
void | Shadow (bool shadow)
GlsColor | ShadowColor ()
void | ShadowColor (GlsColor &color)
Vector | ShadowOffset ()
void | ShadowOffset (Vector &offset)
bool | StrikeThru ()
void | StrikeThru (bool strike)
String | String ()
void | String (String &s)
GlsColor | TextColor ()
void | TextColor (GlsColor &color)
bool | Underline ()
void | Underline (bool underline)
bool | Uppercase ()
void | Uppercase (bool uppercase)
bool | WrapText ()
void | WrapText (bool wrap)
void | ShadowDistance (float distance)
float | ShadowDistance ()
Public Member Functions inherited from GLPolygon
| GLPolygon (VertexArray &vertices)
| GLPolygon (VertexArray &vertices, Vector &location)
| GLPolygon (std::vector< Vertex > vertices)
| GLPolygon (std::vector< Vertex > vertices, Vector &location)
Public Member Functions inherited from DisplayObject
bool | isNULL ()
String | GetName ()
String | SetName (String name)
void | SetProtectionMode (DisplayObject::MemberAccess_e mode)
DisplayObject::MemberAccess_e | GetProtectionMode (void)
void | SetLocked (bool val)
bool | GetLocked (void)
bool | GetGenerateMemberVariable ()
void | SetGenerateMemberVariable (bool b)
bool | GetAntiAliasing ()
void | SetAntiAliasing (bool antiAliasing)
bool | GetBlinking ()
void | SetBlinking (bool blinking)
float | GetBlinkRate ()
void | SetBlinkRate (float rate)
int | GetAlphaMode ()
void | SetAlphaMode (int mode)
bool | GetCullBackFaces ()
void | SetCullBackFaces (bool cullFaces)
bool | GetZBufferTestedFlag ()
void | SetZBufferTestedFlag (bool tested)
bool | GetAffectZBufferFlag ()
void | SetAffectZBufferFlag (bool affect)
bool | GetLightingEnabledFlag ()
void | SetLightingEnabledFlag (bool enabled)
DisplayObject::PickableType_e | GetPickMode ()
void | SetPickMode (DisplayObject::PickableType_e mode)
bool | GetVisibilityFlag ()
void | SetVisibilityFlag (bool visible)
PolygonClose_e | GetClosePolygonFlag ()
void | SetClosePolygonFlag (PolygonClose_e closePolygon)
PolygonMode_e | GetPolygonMode ()
void | SetPolygonMode (PolygonMode_e polygonMode)
ShadingType_e | GetShadingMode ()
void | SetShadingMode (ShadingType_e shadingMode)
Vertex | GetLocation ()
void | SetLocation (Vertex loc)
Vertex | GetRotationPoint ()
void | SetRotationPoint (Vertex rotPoint)
GlsMatrixAffine * | GetDcsMatrix ()
void | SetDcsMatrix (GlsMatrixAffine *matrix)
int | GetMaterialIndex ()
void | SetMaterialIndex (int matIndex)
String | GetObjectClassName ()
int | GetTextureIndex ()
void | SetTextureIndex (int texIndex)
TextureMap_e | GetTextureMappingTechnique ()
void | SetTextureMappingTechnique (TextureMap_e mappingTechnique)
bool | GetTextureRepeat ()
void | SetTextureRepeat (bool repeat)
disti::GlsColor | GetBlendingColor ()
void | SetBlendingColor (GlsColor blendColor)
DisplayObject::TextureFilter_e | GetTextureMagnificationFilter ()
void | SetTextureMagnificationFilter (DisplayObject::TextureFilter_e filter)
DisplayObject::TextureFilter_e | GetTextureMinificationFilter ()
void | SetTextureMinificationFilter (DisplayObject::TextureFilter_e filter)
std::vector< Vector > | GetTextureCoordinates ()
void | SetTextureCoordinates (std::vector< Vector > &texVerts)
void | GetTextureCoordinates (VertexArray *texVerts)
void | SetTextureCoordinates (VertexArray &texVerts)
void | GetTexturePoints (VertexArray *texVerts)
void | SetTexturePoints (VertexArray &texVerts)
void | SetTexturePoints (std::vector< Vector > &texVerts)
std::vector< Vector > | GetTexturePoints ()
void | GetVertices (VertexArray *verts)
void | SetVertices (VertexArray &verts)
String | GetInitialization ()
void | SetInitialization (String initCode)
String | GetCallbackCode ()
void | SetCallbackCode (String cbCode)
DisplayObject * | DuplicateObject (Document *doc=NULL)
DisplayObject * | TessellateObject ()
DisplayObject * | ExtrudeObject (float amount)
void | RotateObject (float amount, RotationAxis_e axis)
void | TranslateObject (float x, float y, float z)
void | ScaleObject (float x, float y, float z, Vertex *anchor=NULL)
void | LineWidth (float width)
float | LineWidth ()
LineStyle_e | LineStyle ()
void | LineStyle (LineStyle_e style)
GlsColor | LineColor ()
void | LineColor (GlsColor color)
GlsColor | FillColor ()
void | FillColor (GlsColor color)
void | GetExtents (Vector &min, Vector &max)
bool | HasUserDefinedAttribute (String attribName)
std::map< String, String > | GetUserDefinedAttributes ()
UserDefinedValueAttributeList | GetAllUserDefinedAttributes ()
String | GetUserDefinedAttributeValue (String attribName)
| typemap (check) String attribName
void | SetUserDefinedAttributeValue (String attribName, String value)
DisplayObject * | GetParent ()
Document * | GetDocument ()
String | AlternateClassName ()
void | AlternateClassName (String name)
String | GetAlternateClassHeaderFile ()
void | SetAlternateClassHeaderFile (String name)
String | GetResources ()
String | GetRuntimeResources (bool recursive)
String | GetAttributeType (String attribName)
String | GetAttributeValueString (String attribName)
void | SetAttributeValueString (String attribName, String value)
unsigned int | RegisterObserver (String attribName, PyObject *pyfunc)
void | UnregisterObserver (String attribName, unsigned int id)
std::vector< Vector > | GetNormals ()
void | SetNormals (std::vector< Vector > &normals)
std::vector< CustomAttributeInfo > | GetExtraAttributes ()
DisplayObject * | CloneObject ()
void | CopyProperties (DisplayObject *sourceObj)
void | SetLocation (Vector loc)
GlsMatrixAffine | GetObjectCoordinatesTransform (DisplayObject *targetObject)
void | CalculateParentBoundingBox ()
void | SetOrigin (Vertex &vert)

## Static Public Member Functions
static GlsTextGrid * | CastToGlsTextGrid (DisplayObject *obj)
Static Public Member Functions inherited from GLPolygon
static GLPolygon * | CastToGLPolygon (DisplayObject *obj)

## Additional Inherited Members
Static Public Attributes inherited from DisplayObject
static int | TEXTURE_INDEX_NONE = -1

## Detailed Description

Python extension used to modify and create GlsTextGrid editor objects.

## Member Typedef Documentation

## ◆ BaseClass

typedef Text GlsTextGrid::BaseClass

## Constructor & Destructor Documentation

## ◆ GlsTextGrid() [1/2]

GlsTextGrid::GlsTextGrid | ( |  | ) |

default constructor

## ◆ GlsTextGrid() [2/2]

GlsTextGrid::GlsTextGrid | ( | GlsTextGrid & | src | ) |

copy constructor

## Member Function Documentation

## ◆ CastToGlsTextGrid()

static GlsTextGrid * GlsTextGrid::CastToGlsTextGrid | ( | DisplayObject * | obj | ) |
| static

Casts the Display Object as a GlsTextGrid NOTE: perform an isNULL check on the returned value to ensure the cast was accomplished.

Parameters

  obj | objects to cast

Returns
  GlsTextGrid the GlsTextGrid

Exceptions

  CEIException |

## ◆ Char() [1/2]

void GlsTextGrid::Char | ( | unsigned int | col,
|  | unsigned int | row,
|  | unsigned int | code
| ) |  |

Sets the character code for one character.

Parameters

  col | X coordinate of the character to set.
  row | Y coordinate of the character to set.
  code | The ASCII character code to set.

## ◆ Char() [2/2]

void GlsTextGrid::Char | ( | unsigned int | startCol,
|  | unsigned int | startRow,
|  | unsigned int | len,
|  | unsigned int | code
| ) |  |

Sets the character code for a range of characters.

Parameters

  startCol | X coordinate of the first character to set.
  startRow | Y coordinate of the first character to set.
  len | Number of characters to set.
  code | The ASCII character code to set.

## ◆ Columns() [1/2]

unsigned int GlsTextGrid::Columns | ( |  | ) |

Gets the number of columns in text grid.

Returns
  The number of columns in the grid.

## ◆ Columns() [2/2]

void GlsTextGrid::Columns | ( | unsigned int | newCols | ) |

Sets the number of columns in text grid.

Parameters

  newCols | New number of columns in the grid.

## ◆ Erase() [1/2]

void GlsTextGrid::Erase | ( | unsigned int | col,
|  | unsigned int | row
| ) |  |

Erase one character.

Parameters

  col | X coordinate of the character to erase.
  row | Y coordinate of the character to erase.

## ◆ Erase() [2/2]

void GlsTextGrid::Erase | ( | unsigned int | startCol,
|  | unsigned int | startRow,
|  | unsigned int | rows
| ) |  |

Erase a range of characters.

Parameters

  startCol | X coordinate of the first character to erase.
  startRow | Y coordinate of the first character to erase.
  rows | Number of rows to erase.

## ◆ LeftToRight() [1/2]

bool GlsTextGrid::LeftToRight | ( |  | ) |

Gets the text direction.

Returns
  True if the text direction is set to left-to-right, else false for right-to-left.

## ◆ LeftToRight() [2/2]

void GlsTextGrid::LeftToRight | ( | bool | leftToRight | ) |

Sets the text direction.

Parameters

  leftToRight | True for left-to-right, false for right-to-left.

## ◆ LineLength()

unsigned int GlsTextGrid::LineLength | ( | unsigned int | row | ) |

Gets the character length of a row This will search the specified row until a
or NULL is encountered or until it reaches the end of the row (number of columns in the grid).

Parameters

  row | The row to return the length of.

Returns
  The length of the specified row in characters.

## ◆ Rows() [1/2]

unsigned int GlsTextGrid::Rows | ( |  | ) |

Gets the number of rows in this text grid.

Returns
  The number of rows in this text grid.

## ◆ Rows() [2/2]

void GlsTextGrid::Rows | ( | unsigned int | newRows | ) |

Sets the number of rows in this text grid.

Parameters

  newRows | New number of rows in the grid.

## ◆ Size()

void GlsTextGrid::Size | ( | unsigned int | cols,
|  | unsigned int | rows
| ) |  |

Sets the number of rows and columns for this grid.

Parameters

  cols | The new number of columns.
  rows | The new number of rows.

## ◆ String() [1/3]

String Text::String | ( |  | ) |

Get text characters.

## ◆ String() [2/3]

void Text::String | ( | String & | s | ) |

Set text characters.

## ◆ String() [3/3]

void GlsTextGrid::String | ( | unsigned int | startCol,
|  | unsigned int | startRow,
|  | String | s
| ) |  |

Sets the string to be displayed Starts at the [column,row] coordinate and wraps at newlines and on column boundary.

Parameters

  startCol | X coordinate (column) to start at
  startRow | Y coordinate (row) to start at
  s | STL string to print

The documentation for this class was generated from the following file:

- GlsTextGrid.i